/****************************************************************************
** $Id: rs_actionzoomin.h,v 1.4 2003/09/11 19:19:10 andrew Exp $
**
** Copyright (C) 2001-2003 RibbonSoft. All rights reserved.
**
** This file is part of the qcadlib Library project.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding valid qcadlib Professional Edition licenses may use 
** this file in accordance with the qcadlib Commercial License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.ribbonsoft.com for further details.
**
** Contact info@ribbonsoft.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef RS_ACTIONZOOMIN_H
#define RS_ACTIONZOOMIN_H

#include "rs_actioninterface.h"


/**
 * This action triggers zoom increase.
 *
 * @author Andrew Mustun
 */
class RS_ActionZoomIn : public RS_ActionInterface {
	Q_OBJECT
public:
    RS_ActionZoomIn(RS_EntityContainer& container,
                    RS_GraphicView& graphicView,
                    RS2::ZoomDirection direction = RS2::In,
                    RS2::Axis axis = RS2::Both,
					const RS_Vector& center = RS_Vector(false));
    ~RS_ActionZoomIn() {}

    virtual void init(int status=0);
    virtual void trigger();

protected:
    RS2::ZoomDirection direction;
    RS2::Axis axis;
	RS_Vector center;
};

#endif
